Bug 90653 - redhat-switchmail should link /etc/aliases to /etc/postfix/aliases
redhat-switchmail should link /etc/aliases to /etc/postfix/aliases
Status: CLOSED DUPLICATE of bug 117661
Product: Fedora
Classification: Fedora
Component: redhat-switch-mail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-11 20:57 EDT by Nick Marsh
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:21:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Marsh 2003-05-11 20:57:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
redhat-switchmail should link /etc/aliases to /etc/postfix/aliases when
selecting Postfix as your MTA, or mv /etc/aliases /etc/aliases.old; echo  "# Use
/etc/postfix/aliases for the Postfix MTA" >/etc/aliases

It sure would elminate alot of confusion when moving from Sendmail to Postfix.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run redhat-switchmail
2. Select postfix
3. vi /etc/aliases;newaliases
    

Actual Results:  /etc/aliases aliases are not in /etc/postfix/aliases.db

Expected Results:  Editing the /etc/aliases file should actually edit
/etc/postfix/aliases

Additional info:
Comment 1 Ngo Than 2003-08-12 06:21:00 EDT
it's renamed in RHL 9. the correct name is redhat-switch-mail
Comment 2 Nick Marsh 2003-10-08 11:46:40 EDT
I'm switching this to Fedora since its an enhancment and not a bug.
Comment 3 manuel wolfshant 2003-12-31 14:40:26 EST
Just a side note: the mv/ln -s/etc  from /etc/aliases to
/etc/whatever/aliases should be based on a "grep aliases
/etc/postfix/main.cf", or better yet on " postconf |grep
alias_database". Reason: not everyone keeps the aliases files in
/etc/postfix. I am using postfix for almost 2 years and my aliases
files are NOT stored in /etc/postfix but in a separate directory with
different files (local users, aliases needed by the mail lists, and so
on). Not to mention the case(s) when addresses are stored in a database :)
Comment 4 John Thacker 2006-10-29 17:48:43 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 5 John Thacker 2007-01-12 10:21:15 EST

*** This bug has been marked as a duplicate of 117661 ***

Note You need to log in before you can comment on or make changes to this bug.